plugins["Weather"] = {
  version: "1.0",
  lastChange: new Date(fso.GetFile(currentDirectory+"\\fsubscript.js").DateLastModified).toDateString(),
  displayName: "Weather",
  directory: currentDirectory,
  icon: currentDirectory + "\\weather_icon_s.jpg",
  aliasstr: "weather",
  description: "Display current weather"
};

(function () {

  var name = "Weather";
  var settings = {}
  var js = plugins[name];

  /* settings dialogue */  
  js.settings = new Settings(name,"settings");
  js.settings.object = {};
  js.settings.object[js.displayName+" settings"] = {
    "Weather location code(get it by searching for your location on weather.yahoo.com):" : {
      type : "text",
      name : "Weather.settings.code",
      value : "HRXX0005"
    },
	"Temperature unit:" : {
		type: "select",
		name : "Weather.settings.unit",
		options : {
			Celzius : "c",
			Farenheit : "f"
		}
	}
  };
  
  /* search */
  var loaded = false;
  settings = loadUserVar("Weather.settings");
  js.search = function search(querykey, explicit, queryraw, querynokeyword,modifierstring,triggermethod){
    if(!explicit) return;
    var match = queryraw.match(new RegExp("^"+js.aliasstr+"$"));
    if(match){
      loaded = true;
      htmlViewURL("http://weather.yahoo.com/forecast/" + settings.code + "/forecast.html?unit=" + settings.unit);
      showPleaseWait("Loading..");
    }
  }
  js.setStrValue = function onSetStrValue(varname,value){
    if(varname == "EmbeddedWb.DocumentComplete"){
      var pl = pluginInCharge();
      if(pl == name && loaded){
        loaded = false;
        execSafeJS(
"\
var forecast = document.getElementById('yw-forecast');\n\
var fiveDayForecast = document.getElementById('yw-fivedayforecast');\n\
var bc = document.getElementById('yw-breadcrumb');\n\
var cell = document.body;\n\
if ( cell.hasChildNodes() ){\n\
    while ( cell.childNodes.length >= 1 ){\n\
        cell.removeChild( cell.firstChild ); } } \n\
var divTag = document.createElement('div');\n\
divTag.appendChild(bc);\n\
divTag.appendChild(forecast);\n\
divTag.appendChild(fiveDayForecast);\n\
document.body.appendChild(divTag);\n\
divTag.style.width='436px';\n\
divTag.style.margin='10px auto';\n\
divTag.style.textAlign='left';\n"
);
        hidePleaseWait();
      }
    }
  }
  

}());